<!doctype html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>{% trans %}GNUKhata | Create Account{% endtrans %}</title>
	<style media="screen">
	.modal-dialog{
		position: relative;
		display: table; //This is important
		overflow-y: auto;
		overflow-x: auto;
		width: auto;
		min-width: 300px;
	}

	table.table-fixedheader {
    width: 100%;
  }
  /*
  Set table elements to block mode.  (Normally they are inline).
  This allows a responsive table, such as one where columns can be stacked
  if the display is narrow.
  */
  table.table-fixedheader, table.table-fixedheader>thead, table.table-fixedheader>tbody, table.table-fixedheader>tfoot, table.table-fixedheader>thead>tr, table.table-fixedheader>tbody>tr, table.table-fixedheader>tfoot>tr, table.table-fixedheader>thead>tr>th, table.table-fixedheader>tbody>tr>td, table.table-fixedheader>tfoot>tr>td {
    display: block;
  }
  table.table-fixedheader>thead>tr:after, table.table-fixedheader>tbody>tr:after, table.table-fixedheader>tfoot>tr:after  {
    content:' ';
    display: block;
    visibility: hidden;
    clear: both;
  }
  /*
  When scrolling the table, actually it is only the tbody portion of the
  table that scrolls (not the entire table: we want the thead to remain
  fixed).  We must specify an explicit height for the tbody.  We include
  100px as a default, but it can be overridden elsewhere.

  Also, we force the scrollbar to always be displayed so that the usable
  width for the table contents doesn't change (such as becoming narrower
  when a scrollbar is visible and wider when it is not).
  */
  table.table-fixedheader>tbody {
    overflow-y: scroll;
    height: 65%;

  }
  /*
  We really don't want to scroll the thead contents, but we want to force
  a scrollbar to be displayed anyway so that the usable width of the thead
  will exactly match the tbody.
  */
  table.table-fixedheader>thead, table.table-fixedheader>tfoot {
    overflow-y: scroll;
    height: 26px;
  }
  table.table-fixedheader>tfoot {
    width: 99%
  }
  /*
  For browsers that support it (webkit), we set the background color of
  the unneeded scrollbar in the thead to make it invisible.  (Setting
  visiblity: hidden defeats the purpose, as this alters the usable width
  of the thead.)
  */
  table.table-fixedheader>thead::-webkit-scrollbar {
    background-color: inherit;
  }


  table.table-fixedheader>thead>tr>th:after, table.table-fixedheader>tbody>tr>td:after, table.table-fixedheader>tfoot>tr>td:after {
    content:' ';
    display: table-cell;
    visibility: hidden;
    clear: both;
  }

  /*
  We want to set <th> and <td> elements to float left.
  We also must explicitly set the width for each column (both for the <th>
  and the <td>).  We set to 20% here a default placeholder, but it can be
  overridden elsewhere.
  */

  table.table-fixedheader>thead tr th, table.table-fixedheader>tbody tr td, table.table-fixedheader>tfoot tr td {
    float: left;

  }

	.rightJustified {
		text-align: right;
	}

	.shadow {
		box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	}
	td {
		font-size: 80%;
	}

	th {
		font-size: 70%;
	}

	#myModal {
top:50%;
right:500%;
outline: none;
}

	</style>

</head>
<body >
	<div class="container-fluid">

	  <div class="alert alert-success" id="success-alert"  aria-live="rude" role="alert" hidden>

	    {% trans %}Account created successfully.{% endtrans %}
	  </div>
		
		<div class="alert alert-success" id="multisuccess-alert"  aria-live="rude" role="alert" hidden>

			{% trans %}Accounts created successfully.{% endtrans %}
		</div>
		<div class="alert alert-danger" id="failure-alert"  aria-live="rude" role="alert" hidden>

			{% trans %}Account could not be created.{% endtrans %}
		</div>
		<div class="alert alert-danger" id="blank-alert"  aria-live="rude" role="alert" hidden>

			{% trans %}Please enter account name!{% endtrans %}
		</div>

		<div class="alert alert-danger" id="nsblank-alert"  aria-live="rude" role="alert" hidden>

			{% trans %}Please enter new sub-group name!{% endtrans %}
		</div>

		<div class="alert alert-danger" id="grpblank-alert"  aria-live="rude" role="alert" hidden>

			{% trans %}Please select group name!{% endtrans %}
		</div>

		<div class="alert alert-danger" id="sgrpblank-alert"  aria-live="rude" role="alert" hidden>

			{% trans %}Please select sub-group name!{% endtrans %}
		</div>

		<div class="alert alert-danger" id="duplicate-alert"  aria-live="rude" role="alert" hidden>

			{% trans %}Account already exists!{% endtrans %}
		</div>

		<div style="padding-top:5px" class="mainbox col-md-6">
			<div class="panel shadow" >
				<div class="panel-heading">
					<div class="panel-title">{% trans %}Create Account{% endtrans %}
					<i class="fa fa-question-circle pull-right" style="font-size:16px;color:white;"data-toggle="modal" data-target="#accModal"></i>
					</div>

				</div>

				<div style="padding-top:5px" class="panel-body" >


					<form id="accountform" method="post"  action="addaccount" class="form-horizontal">

						<div style="margin-bottom: 5px" class="col-xs-12 from-group">
							<label for="groupname" id="gname">{% trans %}<u>G</u>roup Name{% endtrans %} : </label><label for="groupname" style="color:red;font-size: 120%;">*</label>
							<select class = "form-control gsselect input-sm" id="groupname"  name = "groupname" accesskey="g">
								<option value="" disabled selected hidden>{% trans %}Select Group{% endtrans %}</option>
								{% for grps in gkresult %}
								<option value="{{grps['groupcode']}}">{{grps["groupname"]}}</option>
								{% endfor %}
							</select>
							<br/>
							<label for="subgroupname" id="sname">{% trans %}Su<u>b</u>-Group Name{% endtrans %} : </label>
							<select class = "form-control gsselect input-sm" id="subgroupname" name="subgroupname" accesskey="b">
								<option value="" disabled selected hidden>{% trans %}Select Sub-Group{% endtrans %}</option>
							</select>
							<br/>
							<div id="bnkdiv" hidden>
							  <label> <input class="defbx" type="checkbox" id="bnkac"> {% trans %}Set default for Bank Transaction{% endtrans %}</label>
							</div>
							<div id="chsdiv" hidden>
							  <label> <input class="defbx" type="checkbox" id="chsac"> {% trans %}Set default for Cash Transaction{% endtrans %}</label>
							</div>
							<div id="purdiv" hidden>
							  <label> <input class="defbx" type="checkbox" id="purac"> {% trans %}Set default for Purchase Transaction{% endtrans %}</label>
							</div>
							<div id="salediv" hidden>
							  <label> <input class="defbx" type="checkbox" id="saleac"> {% trans %}Set default for Sales Transaction{% endtrans %}</label>
							</div>

							<div id="nsgp" style="margin-bottom: 25px" class="input-group">
							  <label for="newsubgroup" id="newsgrp">{% trans %}Ne<u>w</u> Sub-Group Name{% endtrans %} : </label>
							  <input type="text" id="newsubgroup" class="form-control input-sm" name="newsubgroup" placeholder="New Sub-Group Name" accesskey="w" ></input>
							</div>
							<label> <input type="checkbox" id="maccounts" accesskey="t"> {% trans %}Crea<u>t</u>e Multiple Accounts{% endtrans %}</label>
							<br/>
							<div id="gstaccountfields">
							  {%if vatorgstflag=='7' or vatorgstflag=='29' %}
							    <div class="alert alert-danger" id="taxtype-alert"  aria-live="rude" role="alert" hidden>
							      {% trans %}Please enter Tax Type!{% endtrans %}
							    </div>
							    <div class="alert alert-danger" id="taxtype-alert"  aria-live="rude" role="alert" hidden>
							      {% trans %}Please select Tax Type!{% endtrans %}
							    </div>
							    <div class="alert alert-danger" id="taxstate-alert"  aria-live="rude" role="alert" hidden>
							      {% trans %}Please select State!{% endtrans %}
							    </div>
							    <div class="alert alert-danger" id="taxrate-alert"  aria-live="rude" role="alert" hidden>
							      {% trans %}Please select Tax Rate!{% endtrans %}
							    </div>
							    <div class="alert alert-danger" id="cessrate-alert"  aria-live="rude" role="alert" hidden>
							      {% trans %}Please enter Cess Rate!{% endtrans %}
							    </div>
							    <div id="gstfielddiv">
							      <label> <input type="checkbox" id="gstaccount" accesskey="o"> {% trans %}GST Acc<u>o</u>unt{% endtrans %}</label>
							    </div>
							    <br/>
							    <div class="row" id="gstaccountdiv" hidden>
							      <div class="form-group col-sm-3" style="margin:5px;">
								<label>
								  {% trans %}Tax Type{% endtrans %}
								</label>
								<select class="form-control input-sm" id="taxtype">
								  <option value="" hidden disabled selected>Select Tax</option>
								  <option value="SGSTIN">SGSTIN</option>
								  <option value="SGSTOUT">SGSTOUT</option>
								  <option value="CGSTIN">CGSTIN</option>
								  <option value="CGSTOUT">CGSTOUT</option>
								  <option value="IGSTIN">IGSTIN</option>
								  <option value="IGSTOUT">IGSTOUT</option>
								  <option value="CESSIN">CESSIN</option>
								  <option value="CESSOUT">CESSOUT</option>
								</select>
							      </div>
							      <div class="form-group col-sm-5" style="margin:5px;">
								<label>
								  {% trans %}State{% endtrans %}
								</label>
								<select class="form-control input-sm" id="taxstate">
								  <option value="" hidden disabled selected>Select State</option>
								  {% for state in states %}
								    {% for key, value in state.items() %}
								      <option value="{{value}}" stateid="{{key}}">{{value}}</option>
								    {% endfor %}
								  {% endfor %}
								</select>
							      </div>
							      <div class="form-group col-sm-3" style="margin:5px;">
								<label>
								  {% trans %}Rate{% endtrans %}
								</label>
								<select class="form-control input-sm" id="taxrate">
								  <option value="" hidden disabled selected>Select Rate</option>
								  <option class="igstopt" value="5%">5%</option>
								  <option class="igstopt" value="12%">12%</option>
								  <option class="igstopt" value="18%">18%</option>
								  <option class="igstopt" value="28%">28%</option>
								  <option class="sgstopt" value="2.5%">2.5%</option>
								  <option class="sgstopt" value="6%">6%</option>
								  <option class="sgstopt" value="9%">9%</option>
								  <option class="sgstopt" value="14%">14%</option>
								</select>
								<input type="text" id="cessrate" class="form-control input-sm" name="accountname" accesskey="a" style="display:none">
							    </div>
							    <br/>
							  </div>
							  {%endif%}
							</div>
							<label for="accountname" id="accname">{% trans %}<u>A</u>ccount Name{% endtrans %} : </label><label for="accountname" style="color:red;font-size: 120%;">*</label>
							<input type="text" id="accountname" class="form-control input-sm" name="accountname" accesskey="a"></input>
							<br/>
							<label for="openbal" id="obal" hidden>{% trans %}<u>O</u>pening Balance{% endtrans %} : </label>
							<input id="openbal" name="openbal" value="0.00" style="text-align:right" class=" form-control input-sm" type="text" placeholder="0.00" accesskey="o" hidden/>
							<br/>
							<button type="submit" class="btn btn-success btn-sm" id="submit" name="submit" accesskey="s"><i class="fa fa-floppy-o" aria-hidden="true"></i> {% trans %}<u>S</u>ave{% endtrans %}</button>
							<button id="reset" class="btn btn-danger btn-sm" accesskey="e"><i class="fa fa-refresh" aria-hidden="true"></i> {% trans %}R<u>e</u>set{% endtrans %}</button>

						</div>
					</form>
				</div>
			</div>
		</div>
  		<div style="padding-top:5px" class="col-md-6 shadow" id="baltbl" >
			<table class="table table-condensed">
				<thead>
					<tr>
						<th class="col-xs-6">{{baltbl[0]}}</th>
					</tr>
					<tr class="thead">
						<th class="col-xs-6">{% trans %}Group Name{% endtrans %}</th>
						<th class="rightJustified col-xs-3">{% trans %}No. of Accounts{% endtrans %}</th>
						<th class="rightJustified col-xs-3">{% trans %}Group Balance{% endtrans %}</th>
					</tr>
				</thead>
				<tbody>
					{% for i in range(1,5) %}
					<tr>
						<td class="col-xs-6">{{baltbl[i]["groupname"]}}</td>
						<td class="col-xs-3" align="right">{{baltbl[i]["numberofaccounts"]}}</td>
						<td class="col-xs-3" align="right">{{baltbl[i]["groupbalance"]}}</td>
					</tr>
					{% endfor %}
					<tr>
						<th class="col-xs-6">{% trans %}Total{% endtrans %}</th>
						<th class="col-xs-3"></th>
						<td class="col-xs-3" align="right"><b>{{baltbl[5]["Total"]}}</b></td>
					</tr>
				</tbody>
			</table>
			<table class="table table-condensed">
				<thead>
					<tr>
						<th class="col-xs-6">{{baltbl[6]}}</th>
					</tr>
					<tr class="thead">
						<th class="col-xs-6">{% trans %}Group Name{% endtrans %}</th>
						<th class="rightJustified col-xs-3">{% trans %}No. of Accounts{% endtrans %}</th>
						<th class="rightJustified col-xs-3">{% trans %}Group Balance{% endtrans %}</th>
					</tr>
				</thead>
				<tbody>
					{% for i in range(7,((baltbl|length)-2)) %}
					<tr>
						<td class="col-xs-6">{{baltbl[i]["groupname"]}}</td>
						<td class="col-xs-3" align="right">{{baltbl[i]["numberofaccounts"]}}</td>
						<td class="col-xs-3" align="right">{{baltbl[i]["groupbalance"]}}</td>
					</tr>
					{% endfor %}
					<tr>
						<th class="col-xs-6">{% trans %}Total{% endtrans %}</th>
						<th class="col-xs-3" ></th>
						<td class="col-xs-3" align="right"><b>{{baltbl[((baltbl|length)-2)]["Total"]}}</b></td>
					</tr>
					<tr>
						<th class="col-xs-6">{% trans %}Difference in Balance{% endtrans %}</th>
						<th class="col-xs-3"></th>
						<td class="col-xs-3" align="right"><b>{{baltbl[((baltbl|length)-1)]["Difference in balance"]}}</b></td>
					</tr>
				</tbody>
			</table>
		</div>
		</div>
		<div id="accModal"  tabindex="-1" class="modal fade" role="dialog"style="width:650px; margin-top: 150px; margin-left:300px;"  aria-hidden="true">
	  <div class="modal-dialog bgcolor " >
	    <div class="modal-content ">
	    <div class="modal-header">
	      {% trans %}<strong>Help!</strong>{% endtrans %}
	    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	          <span aria-hidden="true">&times;</span>
	        </button> </div> 
	      <div class="modal-body" style="text-align: justify; text-justify: inter-word;">

		<p>
		  <font color=" #566573"> {%trans%}
		    This is the module for creating accounts under a certain group and optionally sub-group.</br>
		    You can use the underlined character along with alt+shift key as shortcut.</br>
		    You can also navigate forward using enter key and backword using up arrow key.</br>
		    You can create multiple accounts under a group or subgroup by using the create multiple account checkbox. Press space bar on the checkbox to activate it.
		  {% endtrans %}
		  {%if vatorgstflag=='7' or vatorgstflag=='29' %}
		    {%trans%}
							</br></br>There is a system generated sub-group 'Duties & Taxes' under group 'Current Liabilities'.</br>
		    When this subgroup is selected select boxes appear which help you to create accounts for GST.</br>
		    When type, state and rate of tax are selected the name of GST account appears in the account name field.</br>
		    This is in the format of accounts generated by GNUKhata when GSTINs of organisation are updated in Edit Organisation Particulars.</br>
		    Note that you have to enter rate in input box when CESSIN or CESSOUT are selected.
		    {% endtrans %}
		  {% endif %}
		</font>

	        </p>
	      </div>

	    </div>
	  </div>
	</div>

		<div id="multiaccount_modal" >
		</div><!-- /.modal -->

	</div>
	<script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/jquery.validate.min.js')}}"></script>
	<script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/createaccount.js')}}"></script>
</body>
</html>
